petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecScatterInitializePackage

This function initializes everything in the VecScatter package. It is called on the first call to VecScatterCreateXXXX().

### Synopsis

    PetscErrorCode VecScatterInitializePackage(void)

Developers Note: this does not seem to get called directly when using dynamic libraries.

### See Also

PetscInitialize()

### Level

developer

### Location

src/vec/vscat/interface/dlregisvecscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages